%define major     9
%define libname   %mklibname %{name} _%{major}
%define develname %mklibname %{name} -d

Summary:        A library to simplify the use of LV2 plugins
Name:           slv2
Version:        0.6.6
Release:        %mkrel 16
Group:          System/Libraries
License:        GPLv2+
URL:            http://wiki.drobilla.net/SLV2
Source0:        http://download.drobilla.net/%{name}-%{version}.tar.bz2
Patch0:         slv2-0.6.6-ladspa2lv2_fix.diff
Patch1:         slv2-0.6.6-link.patch
BuildRequires:  doxygen
BuildRequires:  libjack-devel
BuildRequires:  liblrdf-devel
BuildRequires:  libtool
BuildRequires:  lv2-devel >= 1.12.0
BuildRequires:  pkgconfig
BuildRequires:  raptor-devel
BuildRequires:  rasqal-devel
BuildRequires:  redland-devel >= 1.0.6
BuildRequires:  libjack-devel >= 0.107.0
BuildRequires:  python

%description
SLV2 is a library geared towards music and audio applications which makes the
use of LV2 plugins <http://lv2plug.in> as simple as possible.

This binary package contains various binaries:

 o lv2_inspect - Display information about an LV2 plugin.
 o lv2_jack_host - SLV2 Jack Host.
 o lv2_list - List system installed LV2 plugins.
 o lv2_simple_jack_host - SLV2 Simple Jack Host Example.

%package -n     %{libname}
Summary:        A library for simple use of LV2 plugins
Group:          System/Libraries

%description -n %{libname}
SLV2 is a library geared towards music and audio applications which makes the
use of LV2 plugins <http://lv2plug.in> as simple as possible.

%package -n     %{develname}
Summary:        Development files (headers) for SLV2
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}
Requires:       pkgconfig(lv2)

%description -n %{develname}
Files required for compiling programs which use SLV2, and developer
documentation.

%prep
%setup -q -n %{name}-%version

%autopatch -p0

# antiborker
perl -pi -e "s|/sbin/ldconfig|/bin/true|g" *.py

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" *.py

%build
%setup_compile_flags
export LINKFLAGS="%ldflags"
python ./waf configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}/ \
    --mandir=%{_mandir} \
    --build-docs

python ./waf build --verbose

%install
DESTDIR=%{buildroot} python ./waf install --verbose

install -d %{buildroot}%{_libdir}/lv2

%files
%doc README
%doc %{_docdir}/%{name}/
%{_bindir}/ladspa2lv2
%{_bindir}/lv2_inspect
%{_bindir}/lv2_jack_host
%{_bindir}/lv2_list
%{_bindir}/lv2_simple_jack_host
%dir %{_libdir}/lv2/
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/libslv2.so.%{major}*

%files -n %{develname}
%doc build/default/doc/html/*
%{_includedir}/slv2/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/slv2.pc
%{_mandir}/man3/*


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 0.6.6-16.mga6
+ Revision: 962849
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 daviddavid <daviddavid> 0.6.6-15.mga6
+ Revision: 894914
- fix requires on pkgconfig(lv2) instead of lv2core-devel

* Sat Oct 24 2015 barjac <barjac> 0.6.6-14.mga6
+ Revision: 894843
- rebuild for lv2-1.12.0

* Fri Oct 23 2015 daviddavid <daviddavid> 0.6.6-13.mga6
+ Revision: 894338
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.6.6-12.mga5
+ Revision: 746670
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.6-11.mga5
+ Revision: 689200
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.6.6-10.mga5
+ Revision: 669721
- rebuild aganst new lv2
- update buildrequire

* Thu May 08 2014 barjac <barjac> 0.6.6-9.mga5
+ Revision: 621154
- rebuild against lv2-1.8.0

* Fri Oct 18 2013 umeabot <umeabot> 0.6.6-8.mga4
+ Revision: 518419
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.6.6-7.mga3
+ Revision: 382189
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 fwang <fwang> 0.6.6-6.mga3
+ Revision: 305400
- link with raptor
- export linkflags

* Sun Oct 14 2012 fwang <fwang> 0.6.6-5.mga3
+ Revision: 305394
- link against dl
- more linkage
- check libm
- fix linkage
- cleanup spec

* Thu Mar 24 2011 boklm <boklm> 0.6.6-5.mga1
+ Revision: 76210
- rebuild for bug #497

* Thu Mar 10 2011 ennael <ennael> 0.6.6-4.mga1
+ Revision: 67572
- clean spec file
- imported package slv2


* Sun Feb 13 2011 Frank Kober <emuse@mandriva.org> 0.6.6-4mdv2011.0
+ Revision: 637435
- rebuild for fixed redland

* Sat Dec 04 2010 Frank Kober <emuse@mandriva.org> 0.6.6-3mdv2011.0
+ Revision: 609142
- fix manpage suffix

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Thu Apr 22 2010 Frank Kober <emuse@mandriva.org> 0.6.6-1mdv2010.1
+ Revision: 537981
- move to version 0.6.6, rediff patch, include manpages

* Sun Feb 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.1-3mdv2010.1
+ Revision: 512806
- rebuild for new rasqal

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.1-2mdv2010.0
+ Revision: 427196
- rebuild

* Tue Nov 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2009.1
+ Revision: 304225
- 0.6.1

* Sat Oct 25 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 297135
- new version
- drop extra sources
- fix devel deps
- fix file list
- update license

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 0.6.0-0.r1162.1mdv2009.0
+ Revision: 217195
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-0.r1162.1mdv2008.1
+ Revision: 182965
- import slv2


* Sun Mar 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-0.r1162.1mdv2008.1
- initial Mandriva release
